
package use_trafficintersection;
import use_trafficintersection.algorithm.*;

/**
 * @author Sjoerd Westendorp
 */

/*
This file serves two purposes and only two:
- To be the entry point of the program
- To create the Renderer and Main objects
- Also some other less important but still global objects
*/

public class USE_TrafficIntersection {
    // Lets create our renderer
    public static Renderer p_renderer;
    public static Main p_mainobject;
    public static Lights p_lights;
    public static AutoTester p_autoTester;
    
    // ------------------------------------
    
    USE_TrafficIntersection(){
	p_lights = new Lights();
	p_renderer = new Renderer(p_lights);
	p_mainobject = new Main(p_renderer,p_lights);
	Lights.main = p_mainobject;
	Renderer.mainobject = p_mainobject;
	p_autoTester = new AutoTester(p_mainobject,p_renderer,p_lights);
	Main.autoTester = p_autoTester;
    }
    
    public static void main(String[] args) {
	new USE_TrafficIntersection();
    }
    
}
